<?php

declare(strict_types=1);

// 2 - HOOK_BESTELLABSCHLUSS_PAGE

use JTL\Checkout\Bestellung;

require \dirname(__DIR__, 2).'/src/warmup.php';

if ( ! $L->canRun()) {
  return;
}

$cfg  = $P->getJTlPlugin()->getConfig();
$lang = $P->getJTlPlugin()->getLocalization()->getTranslations();

/** @var JTL\Plugin\Plugin $_plugin */
/** @var JTL\Smarty\JTLSmarty $smarty */
/** @var array $args_arr */

/** @var Bestellung $bestellung */
$bestellung = $args_arr['oBestellung'];
$catch      = [];

if ('on' === $cfg->getValue('create_ordercode')) {
  $smarty->assign('bistro_order_info', $lang['bistro_order_info']);
  foreach ($bestellung->OrderAttributes as $oAttribute) {
    if (isset($oAttribute->cName) && 'cin_foodorder' === $oAttribute->cName) {
      $smarty->assign('bistro_order_id', $oAttribute->cValue);

      break;
    }
  }
}

// 2 - HOOK_BESTELLABSCHLUSS_PAGE
