{block name='productdetails-basket-add-to-cart'}
  {col cols=12 sm=$basketColWidth}
  {button aria=["label"=>"{lang key='addToCart'}"]
  block=true name="inWarenkorb"
  type="submit"
  value="{lang key='addToCart'}"
  variant="primary"
  disabled=$Artikel->bHasKonfig && !$isConfigCorrect|default:false
  class="js-cfg-validate"}
  <span class="btn-basket-check">
    <span>
      {if isset($kEditKonfig)}
        {lang key='applyChanges'}
      {else}
        {'cook'|translate}
      {/if}
    </span>
    {if 'on' == $bistro_cfg['show_cart_icon']}
      <i class="fas fa-shopping-cart"></i>
    {/if}
  </span>
  <svg x="0px" y="0px" width="32px" height="32px" viewBox="0 0 32 32">
    <path stroke-dasharray="19.79 19.79" stroke-dashoffset="19.79" fill="none" stroke="#FFFFFF" stroke-width="2"
      stroke-linecap="square" stroke-miterlimit="10" d="M9,17l3.9,3.9c0.1,0.1,0.2,0.1,0.3,0L23,11" />
  </svg>
  {/button}
  {if isset($kEditKonfig)}
    <input type="hidden" name="kEditKonfig" value="{$kEditKonfig}" />
  {/if}
  {/col}
{/block}
