{block name='productdetails-config-options'}
  <div id="cfg-tabs" class="col col-12 col-md-3 col-xl-2">
    {foreach $Artikel->oKonfig_arr as $configGroup}
      {if $configGroup->getItemCount() > 0}
        {$configLocalization = $configGroup->getSprache()}
        {$configGroupHasImage = ($configGroup->getImage(\JTL\Media\Image::SIZE_MD)|strpos:$smarty.const.BILD_KEIN_ARTIKELBILD_VORHANDEN) === false}
        {$kKonfiggruppe = $configGroup->getKonfiggruppe()}
        {button id="crd-hdr-{$configGroup@iteration}" variant="link"
        data=["toggle"=>"collapse","target"=>"#cfg-grp-cllps-{$configGroup@iteration}"] disabled=!$configGroup@first
        aria=["expanded"=>"{if $configGroup@iteration == 1}true{else}false{/if}"]}
        {if $configGroupHasImage}
          <img src="{$configGroup->getImage(\JTL\Media\Image::SIZE_XS)}" />
        {/if}
        {$configLocalization->getName()}
        {/button}
      {/if}
    {/foreach}
  </div>
  <div id="cfg-accordion" class="accordion col col-12 col-md-9 col-xl-10" data-mehrweglist="{$bistro_cfg['group_id']}"
    data-mastermehrweg="{if isset($Artikel->FunktionsAttribute['cin_mehrweg'])}{$Artikel->FunktionsAttribute['cin_mehrweg']}{/if}"
    data-currency="{$currentCurrency}">
    {foreach $Artikel->oKonfig_arr as $configGroup}
      {if $configGroup->getItemCount() > 0}
        {$configLocalization = $configGroup->getSprache()}
        {$configGroupHasImage = ($configGroup->getImage(\JTL\Media\Image::SIZE_MD)|strpos:$smarty.const.BILD_KEIN_ARTIKELBILD_VORHANDEN) === false}
        {$kKonfiggruppe = $configGroup->getKonfiggruppe()}
        {assign var="choicecount" value="0"}
        {if $configGroup->getMin() === 1 && $configGroup->getMax() === 1}
          {$choicecount = "1"}
        {elseif $configGroup->getMin() === $configGroup->getMax()}
          {$choicecount = "{$configGroup->getMin()}"}
        {/if}
        {assign var="choicecountmax" value="0"}
        {if !empty($configGroup->getMax())}
          {$choicecountmax = "{$configGroup->getMax()}"}
        {/if}

        {$isMehrwegList = false !== array_search({$kKonfiggruppe}, $mehrweglist)}
        {$mehrwegDisplay = ''}
        {if $isMehrwegList}
          {$mehrwegDisplay = 'd-none'}
        {/if}

        <div class="cfg-group js-cfg-group {if $isMehrwegList}mehrweg{/if}" data-id="{$kKonfiggruppe}"
          data-choicecount="{$choicecount}" data-choicecountmax="{$choicecountmax}" data-last="{$configGroup@last}">
          {collapse visible=$configGroup@first id="cfg-grp-cllps-{$configGroup@iteration}"
          aria=["labelledby"=>"crd-hdr-{$configGroup@iteration}"]
          data=["parent"=>"#cfg-accordion", 'next' => "{if ! $configGroup@last}#crd-hdr-{$configGroup@iteration+1}{/if}"]
          class="js-cfg-group-collapse{if !empty($configGroup->getMax()) && $configGroup->getMax() === 1} exactly-one{/if}"}
          <div class="cfg-group-info sticky-top">
            {if !empty($configGroup->getMin()) || !empty($configGroup->getMax())}
              {badge variant="info" class="js-group-badge-checked"}
              {if $configGroup->getMin() === 1 && $configGroup->getMax() === 1}
                {lang key='configChooseOneComponent' section='productDetails'}
              {elseif $configGroup->getMin() === $configGroup->getMax()}
                {lang key='configChooseNumberComponents' section='productDetails' printf=$configGroup->getMin()}
              {elseif !empty($configGroup->getMin()) && $configGroup->getMax()<$configGroup->getItemCount()}
                {lang key='configChooseMinMaxComponents' section='productDetails' printf=$configGroup->getMin()|cat:':::'|cat:$configGroup->getMax()}
              {elseif !empty($configGroup->getMin())}
                {lang key='configChooseMinComponents' section='productDetails' printf=$configGroup->getMin()}
              {elseif $configGroup->getMax()<$configGroup->getItemCount()}
                {lang key='configChooseMaxComponents' section='productDetails' printf=$configGroup->getMax()}
              {else}
                {lang key='optional'}
              {/if}
              {/badge}
            {elseif $configGroup->getMin() == 0}
              {badge variant="info" class="js-group-badge-checked"}{lang key='optional'}{/badge}
            {/if}
          </div>

          {block name='productdetails-config-container-group-description'}
            {alert variant="danger" class="js-cfg-group-error" data=["id"=>"{$kKonfiggruppe}"]}{/alert}
          {/block}

          {block name='productdetails-config-container-group-description'}
            {row class="group-description"}
            {if !empty($aKonfigerror_arr[$kKonfiggruppe])}
              {col cols=12}{alert variant="danger"}{$aKonfigerror_arr[$kKonfiggruppe]}{/alert}{/col}
            {/if}
            {if $configLocalization->hatBeschreibung()}
              {$lg = "{if $configGroupHasImage}9{else}12{/if}"}
              {col cols=12 lg={$lg} order=1 order-lg=0}{$configLocalization->getBeschreibung()}{/col}
            {/if}
            {/row}
          {/block}

          {block name='productdetails-config-container-group-items'}
            {row class="form-group"}
            {$viewType = $configGroup->getAnzeigeTyp()}
            {if $viewType === $smarty.const.KONFIG_ANZEIGE_TYP_CHECKBOX || $viewType === $smarty.const.KONFIG_ANZEIGE_TYP_RADIO || $viewType === $smarty.const.KONFIG_ANZEIGE_TYP_DROPDOWN_MULTI}
              {block name='productdetails-config-container-group-item-type-swatch'}
                {$countActive = 0}
                {foreach $configGroup->oItem_arr as $oItem}
                  {$anywayvalue = ''}
                  {$anywaykey = 'keinweg'}
                  {if isset($oItem->getArtikel()->FunktionsAttribute["cin_mehrweg"])}
                    {$anywayvalue = $oItem->getArtikel()->FunktionsAttribute["cin_mehrweg"]}
                    {$anywaykey = 'mehrweg'}
                  {elseif isset($oItem->getArtikel()->FunktionsAttribute["cin_einweg"])}
                    {$anywayvalue = $oItem->getArtikel()->FunktionsAttribute["cin_einweg"]}
                    {$anywaykey = 'einweg'}
                  {/if}
                  {assign var="pfand" value=0}
                  {if isset($oItem->getArtikel()->FunktionsAttribute["cin_pfand"])}
                    {$pfand = $oItem->getArtikel()->FunktionsAttribute["cin_pfand"]}
                  {/if}
                  {* <pre>{$oItem->getArtikel()|var_dump}</pre> *}
                {col cols=12 md=12 lg=12 class="mb-3 {if $isMehrwegList}d-none{/if}" data=[
                $anywaykey => $anywayvalue,
                'pfand' => $pfand
                ]}
                {$bSelectable = 0}
                {if $oItem->isInStock()}{$bSelectable = 1}{/if}
                {$kKonfigitem = $oItem->getKonfigitem()}
                {$checkboxActive = (isset($nKonfigitem_arr) && in_array($oItem->getKonfigitem(), $nKonfigitem_arr)) || (!empty($aKonfigerror_arr) && isset($smarty.post.item) && isset($smarty.post.item[$kKonfiggruppe]) && $oItem->getKonfigitem()|in_array:$smarty.post.item[$kKonfiggruppe]) || ($oItem->getSelektiert() && !isset($kEditKonfig) && (!isset($aKonfigerror_arr) || !$aKonfigerror_arr))}
                {if $checkboxActive}
                  {$countActive = $countActive + 1}
                {/if}
                {$cKurzBeschreibung = $oItem->getKurzBeschreibung()}
                {$cBeschreibung = $oItem->getBeschreibung()}
                {if !empty($cKurzBeschreibung)}
                  {$cBeschreibung = $cKurzBeschreibung}
                {/if}

                {if $viewType === $smarty.const.KONFIG_ANZEIGE_TYP_RADIO}
                  {radio name="item[{$kKonfiggruppe}][]"
                  value=$oItem->getKonfigitem()
                  disabled=empty($bSelectable)
                  data=["selected"=>{isset($nKonfigitem_arr) && in_array($oItem->getKonfigitem(), $nKonfigitem_arr)}]
                  checked=$checkboxActive
                  id="item{$oItem->getKonfigitem()}"
                  class="cfg-swatch"
                  required=$oItem@first && $configGroup->getMin() > 0
                  }

                  <div data-id="{$oItem->getKonfigitem()}"
                    class="config-item {if $oItem->getEmpfohlen()} bg-recommendation{/if}{if empty($bSelectable)} disabled{/if}{if $checkboxActive} active{/if}">
                    {if isset($aKonfigitemerror_arr[$kKonfigitem]) && $aKonfigitemerror_arr[$kKonfigitem]}
                      <p class="box_error alert alert-danger">{$aKonfigitemerror_arr[$kKonfigitem]}</p>
                    {/if}
                    {badge class="badge-circle circle-small"}<i class="fas fa-check"></i>{/badge}
                    {include file='productdetails/config_item_description.tpl'}
                  </div>
                  {/radio}
                {else}
                  {checkbox name="item[{$kKonfiggruppe}][]"
                  value=$oItem->getKonfigitem()
                  disabled=empty($bSelectable)
                  data=["selected"=>{isset($nKonfigitem_arr) && in_array($oItem->getKonfigitem(), $nKonfigitem_arr)}]
                  checked=$checkboxActive
                  id="item{$oItem->getKonfigitem()}"
                  class="cfg-swatch"
                  }
                  <div data-id="{$oItem->getKonfigitem()}"
                    class="config-item {if $oItem->getEmpfohlen()} bg-recommendation{/if}{if empty($bSelectable)} disabled{/if}{if $checkboxActive} active{/if}">
                    {if isset($aKonfigitemerror_arr[$kKonfigitem]) && $aKonfigitemerror_arr[$kKonfigitem]}
                      <p class="box_error alert alert-danger">{$aKonfigitemerror_arr[$kKonfigitem]}</p>
                    {/if}
                    {badge class="badge-circle circle-small"}<i class="fas fa-check"></i>{/badge}
                    {include file='productdetails/config_item_description.tpl'}
                  </div>
                  {/checkbox}
                {/if}
                {/col}
              {/foreach}
            {/block}
          {elseif $viewType === $smarty.const.KONFIG_ANZEIGE_TYP_DROPDOWN}
            {block name='productdetails-config-container-group-item-type-dropdown'}
              {col cols=12 data=["id"=>$kKonfiggruppe] class="config-option-dropdown"}
              {formgroup}
              {select name="item[{$kKonfiggruppe}][]" data=["ref"=>$kKonfiggruppe] required=$configGroup->getMin() > 0
              aria=["label"=>$configLocalization->getName()] class='custom-select'}
              <option value="">{lang key='pleaseChoose'}</option>
              {foreach $configGroup->oItem_arr as $oItem}
                {$bSelectable = 0}
                {if $oItem->isInStock()}
                  {$bSelectable = 1}
                {/if}
                {$optDisabled = ""}
                {$optDataSelected = ""}
                {$optSelected = ""}
                {if empty($bSelectable)}{$optDisabled = " disabled "}{/if}
                {if isset($nKonfigitem_arr)}
                  {if in_array($oItem->getKonfigitem(), $nKonfigitem_arr)}
                    {$optDataSelected = " data-selected=\"true\" "}
                  {else}
                    {$optDataSelected = " data-selected=\"false\" "}
                  {/if}
                {else}
                  {if $oItem->getSelektiert() && (!isset($aKonfigerror_arr) || !$aKonfigerror_arr)}
                    {$optSelected = " selected=\"selected\" "}
                  {/if}
                {/if}
                <option value="{$oItem->getKonfigitem()}" id="item{$oItem->getKonfigitem()}" {$optDisabled} {$optDataSelected = ""}
                  {$optSelected = ""}>
                  {$oItem->getName()}{if empty($bSelectable)} - {lang section='productDetails' key='productOutOfStock'}{/if}
                  {if $smarty.session.Kundengruppe->mayViewPrices()}
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    {if $oItem->hasRabatt() && $oItem->showRabatt()}({$oItem->getRabattLocalized()}
                    {lang key='discount'})&nbsp;{elseif $oItem->hasZuschlag() && $oItem->showZuschlag()}({$oItem->getZuschlagLocalized()}
                    {lang key='additionalCharge'})&nbsp;{/if}
                    {$oItem->getPreisLocalized()}
                  {/if}
                </option>
              {/foreach}
              {/select}
              {/formgroup}
              {/col}
              {col}
              {foreach $configGroup->oItem_arr as $oItem}
                {$bSelectable = 0}
                {if $oItem->isInStock()}
                  {$bSelectable = 1}
                {/if}
                {$cKurzBeschreibung = $oItem->getKurzBeschreibung()}
                {$cBeschreibung = $oItem->getBeschreibung()}
                {if !empty($cKurzBeschreibung)}
                  {$cBeschreibung = $cKurzBeschreibung}
                {/if}
                {collapse visible=isset($nKonfigitem_arr) && in_array($oItem->getKonfigitem(), $nKonfigitem_arr) id="drpdwn_qnt_{$oItem->getKonfigitem()}"
                class="cfg-drpdwn-item"}
                {row}
                {$cols = "{if empty($cBeschreibung)}12{else}4{/if}"}
                {col md=4 cols={$cols}}
                {include file='snippets/image.tpl' item=$oItem->getArtikel() srcSize='sm' alt=$oItem->getName()}
                <div class="item-info">
                  <p class="cfg-item-description">
                    {$oItem->getName()}{if empty($bSelectable)} - {lang section="productDetails" key="productOutOfStock"}{/if}
                    {if $smarty.session.Kundengruppe->mayViewPrices()}
                      {badge variant="light"}
                      {if $oItem->hasRabatt() && $oItem->showRabatt()}
                        <span class="discount">{$oItem->getRabattLocalized()}
                        {lang key='discount'}</span>{elseif $oItem->hasZuschlag() && $oItem->showZuschlag()}
                        <span class="additional">{$oItem->getZuschlagLocalized()} {lang key='additionalCharge'}</span>
                      {/if}
                      {$oItem->getPreisLocalized()}
                      {/badge}
                    {/if}
                  </p>
                </div>
                {/col}
                {$cols = "{if empty($cBeschreibung)}12{else}8{/if}"}
                {col md=8 cols={$cols}}
                {if !empty($cBeschreibung)}
                  <div class="config-option-dropdown-description">
                    {$cBeschreibung}
                  </div>
                {/if}
                {if $oItem->getMin() == $oItem->getMax()}
                  {lang key='quantity'}: {$oItem->getInitial()}
                {else}
                  {inputgroup class="form-counter"}
                  {inputgroupprepend}
                  {$btnAriaLabel = {lang key='decreaseQuantity' section='aria'}}
                  {$btnSize = "{if $device->isMobile()}sm{/if}"}
                  {button variant="" data=["count-down"=>""] size={$btnSize} aria=["label"=>{$btnAriaLabel}]}
                  <span class="fas fa-minus"></span>
                  {/button}
                  {/inputgroupprepend}
                  {input type="number" min="{$oItem->getMin()}" max="{$oItem->getMax()}"
                  step="{if $oItem->getArtikel()->cTeilbar === 'Y' && $oItem->getArtikel()->fAbnahmeintervall == 0}any{elseif $oItem->getArtikel()->fAbnahmeintervall > 0}{$oItem->getArtikel()->fAbnahmeintervall}{else}1{/if}"
                  id="quantity{$oItem->getKonfigitem()}" class="quantity" name="item_quantity[{$oItem->getKonfigitem()}]"
                  autocomplete="off"
                  value="{if !empty($nKonfigitemAnzahl_arr[$oItem->getKonfigitem()])}{$nKonfigitemAnzahl_arr[$oItem->getKonfigitem()]}{else}{if $oItem->getArtikel()->fAbnahmeintervall > 0}{if $oItem->getArtikel()->fMindestbestellmenge > $oItem->getArtikel()->fAbnahmeintervall}{$oItem->getArtikel()->fMindestbestellmenge}{else}{$oItem->getArtikel()->fAbnahmeintervall}{/if}{else}{$oItem->getMin()}{/if}{/if}"}
                  {inputgroupappend}
                  {$btnAriaLabel = {lang key='increaseQuantity' section='aria'}}
                  {$btnSize = "{if $device->isMobile()}sm{/if}"}
                  {button variant="" data=["count-up"=>""] size=$btnSize aria=["label"=>"{$btnAriaLabel}"]}
                  <span class="fas fa-plus"></span>
                  {/button}
                  {/inputgroupappend}
                  {/inputgroup}
                {/if}
                {/col}
                {/row}
                {/collapse}
              {/foreach}
              {/col}
            {/block}
          {/if}
          {/row}
        {/block}
        <div class="sticky-bottom">
          {if $configGroup@last}
            {nav class="bg-white border-top"}
            {navitem id="cfg-tab-summary-finish" href="#cfg-tab-pane-summary" role="tab" router-data=["toggle"=>"pill"] router-aria=["controls"=>"cfg-tab-pane-summary", "selected"=>"false"] router-class="btn btn-secondary btn-sm" disabled=true}
            {'Save customization'|translate}
            {/navitem}
            <li>
              <div class="d-flex flex-column">
                <div class="text-right">
                  <strong class="price"></strong>
                </div>
                <div class="text-right">
                  <strong class="pfandsummary"></strong>
                </div>
              </div>
            </li>
            {/nav}
          {else}
            {$disabled = 0}
            {if $configGroup->getMin() > 0}
              {if $countActive < $configGroup->getMin()}
                {$disabled = 1}
              {/if}
            {/if}
            {$optionautojump = "0"}
            {if 'on' == $bistro_cfg['auto_jump']}{$optionautojump=1}{/if}


            {nav class="bg-white border-top"}
            {navitem class="m-auto"}
            {button class="btn js-cfg-next no-caret btn-secondary btn-sm" data=["toggle"=>"collapse", "target"=>"#cfg-grp-cllps-{$configGroup@iteration + 1}",
            "optionautojump"=>"{$optionautojump}"]
            disabled=!empty($disabled)}
            {if $bistro_cfg['next_button'] === 'next'}
              {'cin_config_next'|translate}
            {else}
              {$Artikel->oKonfig_arr[$configGroup@iteration]->getSprache()->getName()}
            {/if}
            <i class="fas fa-arrow-right"></i>
            {/button}
            {/navitem}
            <li>
              <div class="d-flex flex-column">
                <div class="text-right">
                  <strong class="price"></strong>
                </div>
                <div class="text-right">
                  <strong class="pfandsummary"></strong>
                </div>
              </div>
            </li>
            {/nav}
          {/if}
        </div>
        {/collapse}
      </div>
    {/if}
  {/foreach}
</div>
{/block}
