<div class="panel panel-default time-panel" data-xhrurl="{$assetURL}ajax.php">
  <div class="panel-loader bs-progress d-none">
    <div class="line"></div>
    <div class="subline inc"></div>
    <div class="subline dec"></div>
  </div>
  <div class="row">
    <div class="card col col-12 col-md-6">
      <div class="card-body">
        <h5 class="card-title">{__('cin_title_days')}</h5>
        <div class="accordion" id="accordion-times">
          {foreach from=$timetree item=branch key=branchId}
            {include './item/day_item.tpl'}
          {/foreach}
        </div>
      </div>
    </div>
    <div class="card col col-12 col-md-6">
      <div class="card-body">
        <h5 class="card-title">{__('cin_title_closings')}</h5>
        <p class="card-text">{__('cin_title_closings_description')}</p>
        <div class="form-group">
          <input class="col form-control" id="closing_date_description" name="closing_date_description" type="text"
            value="" placeholder="{__('cin_closing_description')}" />
        </div>
        <div class="form-row">
          <div class="form-group col-md-6">
            <label for="closing_date_from">{__('begin')}</label>
            <input type="date" class="form-control" id="closing_date_from" name="closing_date_from" value="" />
          </div>
          <div class="form-group col-md-6">
            <label for="closing_date_to">{__('end')}</label>
            <input type="date" class="form-control" id="closing_date_to" name="closing_date_to" value="" />
          </div>
        </div>
        <div class="form-group">
          <button class="col btn btn-success" type="button">{__('reset')}</button>
        </div>
      </div>
    </div>
  </div>
</div>
