<?php

declare(strict_types=1);

use JTL\Catalog\Product\Artikel;

require \dirname(__DIR__, 1).'/src/warmup.php';

$response          = new stdClass();
$response->success = true;
$response->data    = new stdClass();
$response->message = '';

$params = array_merge($_GET, $_POST);
if ('application/json' === (getallheaders()['Content-Type'] ?? '')) {
  $params = array_merge($params, json_decode(file_get_contents('php://input'), true) ?? []);
}

$cinPlugin = $P->getJTlPlugin();

header_remove('Content-Type');
switch ($_SERVER['REQUEST_METHOD'].'_'.($params['action'] ?? 'missingaction')) {
  case 'GET_details':

    $a = new Artikel();
    $a->fuelleArtikel((int) $params['id'], Artikel::getDefaultConfigOptions());

    $response->data->shortDescription = $a->cKurzBeschreibung ?? '';
    $response->data->description      = $a->cBeschreibung ?? '';
    $response->data->characteristics  = $a->cMerkmalAssoc_arr ?? [];

    break;

  default:
    $response->success = false;
    $response->code    = 404;
    $response->data    = $params;
}

header('Content-Type: application/json');
http_response_code((($response->success) ? 200 : ($response->code ?? 400)));
exit(json_encode($response));
