<?php

declare(strict_types=1);

use JTL\Session\Frontend;

// 1 - HOOK_ARTIKEL_PAGE

require \dirname(__DIR__, 2).'/src/warmup.php';

if ( ! isset($smarty->registered_plugins[Smarty::PLUGIN_MODIFIER]['translate'])) {
  $smarty->registerPlugin(
    Smarty::PLUGIN_MODIFIER,
    'translate',
    [$P, 'translate']
  );
}

if (isset($smarty->tpl_vars['Einstellungen']->value['template']['productdetails']['config_position'])) {
  $smarty->tpl_vars['Einstellungen']->value['template']['productdetails']['config_position'] = 'popup';
}

$smarty->assign('bistro_cfg', $P->cfg())
  ->assign('mehrweglist', array_map(static function ($row) {
    return trim($row);
  }, explode(',', $P->cfg()['group_id'])))
  ->assign('bistro_frontend_ajax', $P->getJTlPlugin()->getPaths()->getFrontendURL().'ajax.php')
  ->assign('set_default_productinformation', (int) ('on' === $P->cfg()['product_default_information']))
  ->assign('without_characteristics', (int) ('on' === $P->cfg()['only_without_characteristics']))
  ->assign('currentCurrency', Frontend::getCurrency()->getHtmlEntity());

// 1 - HOOK_ARTIKEL_PAGE
