<?php

declare(strict_types=1);

use JTL\Shop;

// 140 - HOOK_SMARTY_OUTPUTFILTER

require \dirname(__DIR__, 2).'/src/warmup.php';

if ( ! $L->canRun()) {
  return;
}
$_plugin = $P->getJTlPlugin();

if (PAGE_ARTIKEL === Shop::getPageType()) {
  // extend global cin config data
  pq('head')->append(sprintf(include \dirname(__DIR__, 2).'/src/jsconfig.php', $_plugin->getPluginID()));
  // overwrite css selectors
  if (file_exists(\dirname(__DIR__, 2).'/template.json')) {
    pq('footer')->append('<script type="text/javascript">cin.'.$_plugin->getPluginID().'.frontend.selector = '.file_get_contents(\dirname(__DIR__, 2).'/template.json').'</script>');
  }

  pq('head')->append('<script src="'.$_plugin->getPaths()->getFrontendURL().'/js/bistro.js"></script>');
  pq('head')->append('<script src="'.$_plugin->getPaths()->getBaseURL().'/common/js/cp.js">');
  pq('head')->append('<link rel="stylesheet" href="'.$_plugin->getPaths()->getBaseURL().'/common/css/cp.css"></script>');
}

if (PAGE_BESTELLVORGANG === Shop::getPageType()) {
  pq('footer')->append("<script type=\"text/javascript\">
  $('#panel-edit-comment').closest('div.col').after($('#panel-edit-bistrotime'));
  </script>");
}
// 140 - HOOK_SMARTY_OUTPUTFILTER
