{block name='productdetails-config-container'}
  {block name='productdetails-config-container-main'}
    {modal id="cfg-container" size="xl" title="{lang key="configure"}"}
    <div class="tab-content" id="cfg-container-tab-panes">
      <div class="tab-pane fade show active row flex-column flex-md-row" id="cfg-tab-pane-options" role="tabpanel"
        aria-labelledby="cfg-tab-options">
        {block name='productdetails-config-container-options'}
          {include file='productdetails/config_options.tpl'}
        {/block}
      </div>
      <div class="tab-pane fade" id="cfg-tab-pane-summary" role="tabpanel" aria-labelledby="cfg-tab-summary">
        {block name='productdetails-config-container-include-config-sidebar'}
          {include file='productdetails/config_sidebar.tpl'}
        {/block}
      </div>
    </div>
    {/modal}
    {modal id="allergens-modal" size="md" title="{'More product information'|translate}"
    data=['xhrurl' => $bistro_frontend_ajax]}
    <div class="progress-container">
      <div class="allergens-progress bs-progress d-none">
        <div class="line"></div>
        <div class="subline inc"></div>
        <div class="subline dec"></div>
      </div>
    </div>
    <div class="cp cp-text" data-count="3" data-last="30"></div>
    <span class="product-information d-inline-block mb-3"></span>
    <div class="product-characteristics"></div>
    <div class="cp cp-list" data-count="3"></div>
    {if $set_default_productinformation}
      <span class="product-default-information{if $without_characteristics} d-none{/if}"
        data-without="{if $without_characteristics}1{else}0{/if}">
        {'default product information'|translate}
      </span>
    {/if}
    {/modal}
  {/block}
  {block name='productdetails-config-container-script'}
    {if isset($kEditKonfig) && !isset($bWarenkorbHinzugefuegt)}
      {inline_script}
      <script>
        $('#cfg-container').modal('show');
      </script>
      {/inline_script}
    {/if}
  {/block}
{/block}
